Subject: Re: [take25 1/6] kevent: Description.

From: Ulrich Drepper <[email-masked]>
Date: Fri, 24 Nov 2006 07:26:51 -0800

Eric Dumazet wrote:
> Being able to direct a particular request on a particular CPU is 
> certainly something that cannot be hardcoded in 'the new kevent interface'.

Nobody is proposing this.  Although I have proposed that if the kernel 
knows which CPU can best service a request it might hint as much.

But in general, you're free to decentralize as much as you want.  But 
this does not mean it should not also be possible to use a number of 
threads in the same loop and the same kevent queue.  That's the part 
which needs designing, the separate queues will always be possible.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖